/*****************************************************************************/
/* XBalloon - Balloons move on root window.                                  */
/*                                                                           */
/* XBalloon Copyright (c) 1999 Sakai Hiroaki.                                */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* XBalloon is a simple demonstration program for X. Balloons move on root   */
/* window. You can use a faborite pixmap as balloons.                        */
/*                                                                           */
/* XBalloon is a free software. You may copy or distribute the original      */
/* XBalloon freely. But, you may not modify or distribute the original       */
/* XBalloon without permission of the author.                                */
/*****************************************************************************/

#ifndef _XBALLOON_ARGUMENT_H_INCLUDED_
#define _XBALLOON_ARGUMENT_H_INCLUDED_

/*****************************************************************************/
/* Include Header Files.                                                     */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#include "configure.h"
#include "xballoon.h"

/*****************************************************************************/
/* Definitions of Functions.                                                 */
/*****************************************************************************/

void Help();
void SetDefaultValue();
void DeleteParameter(int * argc, char ** argv, int i);
int CheckParameters(int * argc, char ** argv, char * s);
char * GetStringFromParameters(int * argc, char ** argv, char * s);
void ReadParameters(int * argc, char ** argv);

#endif

/*****************************************************************************/
/* End of XBalloon.                                                          */
/*****************************************************************************/
