/*****************************************************************************/
/* XBalloon - Balloons move on root window.                                  */
/*                                                                           */
/* XBalloon Copyright (c) 1999 Sakai Hiroaki.                                */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* XBalloon is a simple demonstration program for X. Balloons move on root   */
/* window. You can use a faborite pixmap as balloons.                        */
/*                                                                           */
/* XBalloon is a free software. You may copy or distribute the original      */
/* XBalloon freely. But, you may not modify or distribute the original       */
/* XBalloon without permission of the author.                                */
/*****************************************************************************/

#ifndef _XBALLOON_CONFIGURE_H_INCLUDED_
#define _XBALLOON_CONFIGURE_H_INCLUDED_

/*****************************************************************************/
/* XBalloon's Version.                                                       */
/*****************************************************************************/

#ifndef VERSION
#define VERSION "XBalloon-unknown-version"
#endif

/*****************************************************************************/
/* Difinitions of Some Parameters.                                           */
/*****************************************************************************/

#define OFF 0
#define ON  1

#define DEFAULT_NUMBER 10
#define DEFAULT_COUNT_MAXIMUM 50
#define DEFAULT_SPEED_MAXIMUM 100
#define DEFAULT_SPEED_MINIMUM 10
#define DEFAULT_VELOCITY_MAXIMUM 5
#define DEFAULT_VELOCITY_MINIMUM 2
#define DEFAULT_WAIT 200000
#define DEFAULT_BALLOON_PIXMAP_FILENAME NULL

#endif

/*****************************************************************************/
/* End of XBalloon.                                                          */
/*****************************************************************************/
