/*****************************************************************************/
/* XBalloon - Balloons move on root window.                                  */
/*                                                                           */
/* XBalloon Copyright (c) 1999 Sakai Hiroaki.                                */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* XBalloon is a simple demonstration program for X. Balloons move on root   */
/* window. You can use a faborite pixmap as balloons.                        */
/*                                                                           */
/* XBalloon is a free software. You may copy or distribute the original      */
/* XBalloon freely. But, you may not modify or distribute the original       */
/* XBalloon without permission of the author.                                */
/*****************************************************************************/

#ifndef _XBALLOON_DISPLAY_H_INCLUDED_
#define _XBALLOON_DISPLAY_H_INCLUDED_

/*****************************************************************************/
/* Include Header Files.                                                     */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>

#include "configure.h"
#include "xballoon.h"
#include "graphic.h"
#include "balloon.xpm"

/*****************************************************************************/
/* Definitions of Functions.                                                 */
/*****************************************************************************/

void InitializeDisplay();

#endif

/*****************************************************************************/
/* End of XBalloon                                                           */
/*****************************************************************************/
