/*****************************************************************************/
/* XBalloon - Balloons move on root window.                                  */
/*                                                                           */
/* XBalloon Copyright (c) 1999 Sakai Hiroaki.                                */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* XBalloon is a simple demonstration program for X. Balloons move on root   */
/* window. You can use a faborite pixmap as balloons.                        */
/*                                                                           */
/* XBalloon is a free software. You may copy or distribute the original      */
/* XBalloon freely. But, you may not modify or distribute the original       */
/* XBalloon without permission of the author.                                */
/*****************************************************************************/

#ifndef _XBALLOON_GRAPHIC_H_INCLUDED_
#define _XBALLOON_GRAPHIC_H_INCLUDED_

/*****************************************************************************/
/* Include Header Files.                                                     */
/*****************************************************************************/

#include <X11/Xlib.h>
#include <X11/xpm.h>

/*****************************************************************************/
/* Definitions of Functions.                                                 */
/*****************************************************************************/

Pixmap MakePixmapFromFile(Display * display, Window w, char * filename,
                          int * width, int * height);
Pixmap MakePixmapFromData(Display * display, Window w, char * string[],
                          int * width, int * height);
Pixmap MakePixmapFigure(Display * display, Drawable da,
			Pixmap source, int w, int h, int d);

#endif

/*****************************************************************************/
/* End of XBalloon.                                                          */
/*****************************************************************************/
